:root {
    --accent-color: #ad0000;
    --contrast-color: #ffffff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Questrial", sans-serif !important;
    font-weight: 400;
    font-style: normal;
    background-color: white !important;
    color: black !important;
    scroll-behavior: smooth;
}

.text-center {
    align-items: center !important;
}

.text-right {
    text-align: right !important;
}

.text-white {
    color: white !important;
}

.social-items {
    font-size: 1.6rem;
}

.social-items a {
    color: white !important;
}

.intro {
    margin-top: 55px;
    position: relative;
    height: 85vh;
}

.sub-intro {
    position: relative;
    align-content: center;
    padding: 10rem 0rem 10rem 0rem;
}

.featured-projects {
    position: relative;
    align-content: center;
    padding: 5rem 0rem 2rem 0rem;
}

.intro-title {
    padding: 5rem 0rem 0rem 0rem;
}

.projects-intro {
    position: relative;
    height: 85vh;
}

.sub-intro h3 {
    line-height: inherit;
}

.small-section {
    position: relative;
    padding: 10rem 0rem;
}

.input-check-section {
    padding: 2rem 1rem 2rem 1rem;
}

.element::before {
    content: '';
    display: inline-block;
    width: 100px;
    height: 1px;
    background-color: black;
    margin-right: 10px;
}

.slider {
    overflow-x: hidden;
}

.slider img {
    height: 15rem;
    width: 100%;
    object-fit: cover;
}

.slick-slide {
    margin-right: 10px;
}

.slider a {
    text-decoration: none;
    color: black;
}

/* header */
header {
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    transition: top 0.3s ease-in-out;
}

header.hidden {
    top: -100px;
    /* Adjust based on header height */
}

.header-row {
    padding: 40px 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.brand-logo {
    transition: opacity 0.3s ease;
}

.hide {
    opacity: 0;
}

.brand-logo img {
    width: 8rem
}

.menu-toggle {
    background: transparent;
    border: none;
    cursor: pointer;
    outline: none;
    text-decoration: none;
}

.hamburger path {
    fill: none;
    stroke: black;
    stroke-linecap: round;
    stroke-width: 0.5;
}

.fullpage-menu {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    display: none;
    z-index: 9;
}

.fullpage-menu-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    padding: 100px 60px;
}

.menu-bg {
    height: 100%;
    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background: rgba(1, 1, 1, 0.6);
    backdrop-filter: blur(15px);
    opacity: 0;
}

nav {
    position: relative;
    z-index: 1;
    text-align: center;
}

nav ul {
    list-style-type: none;
}

nav li {
    overflow: hidden;
}

nav li+li {
    margin-top: 30px;
}

nav li a {
    font-size: 5vh;
    text-decoration: none;
    font-weight: 300;
    display: inline-block;
    line-height: 1;
    letter-spacing: 5px;
    color: lightgrey;
    -webkit-text-stroke: 0px lightgrey;
}

nav li a span {
    position: relative;
    display: block;
}

nav li a span:before {
    content: attr(data-clip);
    color: white;
    position: absolute;
    left: 0;
    top: 0;
    background-color: white;
    -webkit-text-stroke: 1px transparent;
    -webkit-background-clip: text;
    z-index: 1;
    height: 0%;
    overflow: hidden;
    transition: 10ms ease-in-out 0s;
}

nav li:hover a span:before {
    height: 100%;
}

@media only screen (max-width: 490px) {}

@media screen and (min-width:768px) {
    .intro-title {
        font-size: 5rem !important;
    }

    .intro-text {
        font-size: 2rem !important;
    }

    .btn-primary-home {
        font-size: 1.8rem !important;
    }

    .social-items {
        text-align: right !important;
    }

    .container-fluid {
        width: 96% !important;
    }
}

@media screen and (max-width:767px) {
    .header-row {
        padding: 30px 5px 30px 5px;
    }

    nav li a {
        font-size: 54px;
    }

    .intro-title {
        font-size: 2rem !important;
    }

    .intro-text {
        font-size: 1rem !important;
    }

    .btn-primary-home {
        font-size: 1.3rem !important;
    }

    .social-items {
        font-size: 1rem;
        margin-top: 2rem;
    }
}

@media screen and (min-width: 768px) and (max-width: 991px) {
    .social-items {
        text-align: left !important;
        font-size: 1rem;
        margin-top: 2rem;
    }
}

.caption {
    position: absolute;
    bottom: 10px;
    left: 10px;
    color: white;
    font-size: 18px;
    font-weight: bold;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 5px 10px;
    z-index: 1;
    /* Ensure the captions appear above the images */
}

/* Header End*/

.center {
    position: absolute;
    top: 50%;
    transform: translateY(-60%);
    width: auto;
}

.mt-3 {
    margin-top: 3rem;
}

.mb-3 {
    margin-bottom: 3rem;
}

.mt-4 {
    margin-top: 4rem;
}

.mt-5 {
    margin-top: 5rem;
}

.mt-6 {
    margin-top: 6rem;
}

.mb-6 {
    margin-bottom: 6rem !important;
}

.pt-6 {
    padding-top: 6rem;
}

.pt-4 {
    padding-top: 4rem;
}

.pt-3 {
    padding-top: 3rem;
}

.pb-6 {
    padding-bottom: 6rem;
}

.pb-4 {
    padding-bottom: 4rem;
}

.btn-primary-home {
    text-decoration: none;
    border-bottom: 0.14rem solid black !important;
    color: black;
    border-radius: 0px;
    transition: width 0.3s ease-out;
    display: inline-block;
}

.btn-primary-home:hover {
    color: darkgrey;
    border-bottom: 0.14rem solid darkgrey !important;
}

footer {
    background: black;
    padding: 8rem 0 8rem 0;
    color: white;
    z-index: 1 !important;
    /*position: fixed !important;*/
    bottom: 0;
    width: 100%
}

.text-muted {
    font-weight: bold;
}

.project-details-text {
    font-size: 1.6rem;
}

button[type=submit] {
    background: var(--accent-color);
    color: var(--contrast-color);
    border: 0;
    height: 5rem;
    transition: 0.4s;
    width: 100%;
}

button[type=submit]:hover {
    background: color-mix(in srgb, var(--accent-color), transparent 20%);
}

button[type=submit]:disabled {
    background: pink;
}

button[type=button] {
    background: var(--accent-color);
    color: var(--contrast-color);
    border: 0;
    height: 5rem;
    transition: 0.4s;
    width: 50%;
    border-radius: 0px;
    margin-top: 1rem;
}

button[type=button]:hover {
    background: color-mix(in srgb, var(--accent-color), transparent 20%);
}

@media only screen and (max-width: 480px) {
    .brand-logo {
        left: 25px;
        top: 30px;
        transform: scale(0.8);
    }
}